ExamplesBulk Download
Get data as json sort by structure end date ASC and only 3 fields
Example query of a bulk report as JSON, sorted by structure end date ascending, returning only three fields.
Query parameters
| Parameter | Value | Description |
|---|---|---|
id | adbb9b62-5c08-4142-82e0-b2b575f3e058 | ID of the bulk report to query |
limit | 50 | Maximum number of records to return |
offset | 0 | Number of records to skip |
sort | structure_end_date | Sort by structure end date |
includes[0] | structure_id | Include only the structure id field |
includes[1] | structure_start_date | Include only the structure start date field |
includes[2] | structure_end_date | Include only the structure end date field |
Request
# Make sure to replace [TOKEN] with your API Access Token.
curl --location --globoff 'https://gateway.api.globalfishingwatch.org/v3/bulk-reports/adbb9b62-5c08-4142-82e0-b2b575f3e058/query?limit=50&offset=0&sort=structure_end_date&includes[0]=structure_id&includes[1]=structure_start_date&includes[2]=structure_end_date' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer TOKEN'// Make sure to replace [TOKEN] with your API Access Token.
const res = await fetch(
'https://gateway.api.globalfishingwatch.org/v3/bulk-reports/adbb9b62-5c08-4142-82e0-b2b575f3e058/query?limit=50&offset=0&sort=structure_end_date&includes[0]=structure_id&includes[1]=structure_start_date&includes[2]=structure_end_date',
{ headers: { Authorization: 'Bearer [TOKEN]' } }
)
const data = await res.json()Response
{
"metadata": {},
"limit": 50,
"offset": 0,
"nextOffset": null,
"total": 6,
"entries": [
{
"structure_id": "1038238",
"structure_start_date": "2023-05-01",
"structure_end_date": "2023-12-01"
},
{
"structure_id": "1038238",
"structure_start_date": "2023-05-01",
"structure_end_date": "2023-12-01"
},
{
"structure_id": "1050783",
"structure_start_date": "2024-01-01",
"structure_end_date": "2024-05-01"
},
{
"structure_id": "1050783",
"structure_start_date": "2024-01-01",
"structure_end_date": "2024-05-01"
},
{
"structure_id": "1050381",
"structure_start_date": "2024-01-01",
"structure_end_date": "2024-06-01"
},
{
"structure_id": "1050381",
"structure_start_date": "2024-01-01",
"structure_end_date": "2024-06-01"
}
]
}Get data as json sort by structure start date DESC and only structure id field
Example query of a bulk report as JSON, sorted by structure start date descending, returning only the structure id field.
API Workflows
End-to-end workflows combining the 4Wings, Vessels and Events APIs for fishing effort analysis, vessel identification and compliance review.